## grl-error grl-error |

## Types and Values

enum | GrlCoreError
#define | GRL_CORE_ERROR

## Includes

    #include <grilo.h>

## Description

## Functions

## Types and Values

### enum GrlCoreError

These constants identify all the available core errors

#### Members

GRL_CORE_ERROR_BROWSE_FAILED | The browse operation failed |
GRL_CORE_ERROR_SEARCH_FAILED | The search operation failed |
GRL_CORE_ERROR_SEARCH_NULL_UNSUPPORTED | Searching NULL-text is not supported |
GRL_CORE_ERROR_QUERY_FAILED | The query operation failed |
GRL_CORE_ERROR_RESOLVE_FAILED | The resolution operation failed |
GRL_CORE_ERROR_MEDIA_NOT_FOUND | The media was not found |
GRL_CORE_ERROR_STORE_FAILED | The store operation failed |
GRL_CORE_ERROR_STORE_METADATA_FAILED | The store metadata operation failed |
GRL_CORE_ERROR_REMOVE_FAILED | The removal operation failed |
GRL_CORE_ERROR_MEDIA_FROM_URI_FAILED | The media from_uri operation failed |
GRL_CORE_ERROR_CONFIG_LOAD_FAILED | Failed to load plugin configuration from a file |
GRL_CORE_ERROR_CONFIG_FAILED | Failed to set configuration for plugin |
GRL_CORE_ERROR_UNREGISTER_SOURCE_FAILED | Failed to unregister source |
GRL_CORE_ERROR_LOAD_PLUGIN_FAILED | Failed to load plugin |
GRL_CORE_ERROR_UNLOAD_PLUGIN_FAILED | Failed to unload plugin |
GRL_CORE_ERROR_REGISTER_METADATA_KEY_FAILED | Failed to register metadata key |
GRL_CORE_ERROR_NOTIFY_CHANGED_FAILED | Failed to start changed notifications |
GRL_CORE_ERROR_OPERATION_CANCELLED | The operation was cancelled |
GRL_CORE_ERROR_AUTHENTICATION_TOKEN | Invalid authentication token |

### GRL_CORE_ERROR

    #define GRL_CORE_ERROR g_quark_from_static_string("grilo.error.general")